using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;

namespace Assets.scripts.utils
{
    public class VideoHelp
    {
        [DllImport("libavcodec", CallingConvention = CallingConvention.Cdecl)]
        extern static uint avcodec_version();
        public static bool Open(string path, int id, int width, int height, int fps)
        {
            return false;
        }
        public static bool PushColors(int id, Color[] colors)
        {
            return false;
        }
        public static bool Close(int id)
        {
            return false;
        }
        public static string getDllVersion()
        {
            return avcodec_version().ToString();
        }
    }
}
